<?php
use WooBooking\CMS\Utilities\Utility;

defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);

WpBookingPro_Html::_('jquery.framework');
WpBookingPro_Html::_('jquery.select2');
WpBookingPro_Html::_('script', 'system/html5fallback.js', array('version' => 'auto', 'relative' => true, 'conditional' => 'lt IE 9'));

$list = '';

if ($options)
{
	$list = 'list="' . $id . '_datalist"';
}

$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"';
$autocomplete = $autocomplete === ' autocomplete="on"' ? '' : $autocomplete;

$attributes = array(
	!empty($class) ? 'class="' . $class . '"' : '',
	!empty($size) ? 'size="' . $size . '"' : '',
	$disabled ? 'disabled' : '',
	$readonly ? 'readonly' : '',
	$list,
	strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
	$onchange ? ' onchange="' . $onchange . '"' : '',
	!empty($maxLength) ? $maxLength : '',
	$required ? 'required aria-required="true"' : '',
	$autocomplete,
	$autofocus ? ' autofocus' : '',
	$spellcheck ? '' : 'spellcheck="false"',
	!empty($inputmode) ? $inputmode : '',
	!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
);
$doc=Factory::getDocument();


$db=Factory::getDBO();
$query=$db->getQuery(true);
$query->select('name')
    ->from(WoobookingTable::getWBTable('tag'))
;
$tags=$db->setQuery($query)->loadColumn();

$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
?>
<div id="<?php wpbookingpro_render_content($id_by_name) ?>" class="field-tags">
    <select multiple name="<?php wpbookingpro_render_content($name); ?>" class="list-tag">

    </select>
</div>

<?php
$doc->addScriptApplySelector('.field-tags','layouts/WooBooking/form/field/jquery.tags.js',array(
    "tags"=>  $tags,
    "tags_selected"=>  json_encode($value)
));

